#######################################################################
##### Part of the VortexGE Configuration Script                   #####
##### Copyright (C) 2004-2006 Aloysius Indrayanto                 #####
##### GNU Lesser General Public License                           #####
##### ----------------------------------------------------------- #####
##### EDITING THIS FILE ERRONEOUSLY MAY CAUSE THIS SCRIPT TO FAIL #####
##### ----------------------------------------------------------- #####
##### This program is distributed WITHOUT ANY WARRANTY.           #####
##### See the GNU Lesser General Public License for more details. #####
#######################################################################

#######################################################################
##### Functions for Checking Audio System
#######################################################################

##### Find where the OSS folders are located in the system
FindOss()
{
  local __Loc__

  for __Loc__ in $USRIncLoc $STDIncLoc; do
    if [[ -e $__Loc__/soundcard.h ]]; then
      export $1=$__Loc__
      break;
    elif [[ -e $__Loc__/sys/soundcard.h ]]; then
      export $1=$__Loc__/sys/
      break;
    fi
  done
}

##### Find where the alsa folders are located in the system
FindAlsa()
{
  local __Loc__

  for __Loc__ in $USRIncLoc $STDIncLoc; do
    if [[ -e $__Loc__/asoundlib.h ]]; then
      export $1=$__Loc__
      break;
    elif [[ -e $__Loc__/alsa/asoundlib.h ]]; then
      export $1=$__Loc__/alsa/
      break;
    fi
  done

  for __Loc__ in $USRLibLoc $STDLibLoc; do
    if [[ -e $__Loc__/libasound.so ]]; then
      export $2=$__Loc__
      break;
    elif [[ -e $__Loc__/alsa/libasound.so ]]; then
      export $2=$__Loc__/alsa/
      break;
    fi
  done
}
