/**
 * \file VMain.h
 * <hr>
 * This file will include the "real" VortexGE header (\ref VMain), and brings the
 * <b>std</b> and \ref vge namespaces into scope.
 * <hr>
 */
// ############################################################################################
//  VMain.h
//  Includes all the headers needed for application development the VortexGE library
//  -------------------------------------------------------------------------------------------
//  Copyright (C) 2004-2006 Aloysius Indrayanto
//  This file is part of VortexGE
//
//  This library is free software; you can redistribute it and/or modify it under the terms of
//  the GNU Lesser General Public License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License along with this
//  library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
//  Boston, MA 02111-1307 USA.
// ############################################################################################
#ifndef _MAIN_VORTEXGE_INCLUDE_FILE___VMAIN_H_
#define _MAIN_VORTEXGE_INCLUDE_FILE___VMAIN_H_

// Include the C++ style VortexGE header
#include "VMain"

// Bring all std and vge namespaces' members to scope
using namespace std;
using namespace vge;

#endif
