// ############################################################################################
//  roomedit-OPic.h
//  Definition of roomedit's pictures which are not window nor button icons
//  -------------------------------------------------------------------------------------------
//  Copyright (C) 2004-2006 Aloysius Indrayanto
//  This file is part of VortexGE
//
//  This program is free software; you can redistribute it and/or modify it under the terms of
//  the GNU Lesser General Public License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License along with this
//  library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
//  Boston, MA 02111-1307 USA.
// ############################################################################################
#ifndef _UTIL___ROOMEDIT_OPIC_H_
#define _UTIL___ROOMEDIT_OPIC_H_


//
// roomedit's other pictures
//
static const char *picPlaneDirection_xpm[] = {
  "152 138 64 1",
  " 	c #0C0F0B",
  ".	c #100D12",
  "+	c #0E0E18",
  "@	c #160E0E",
  "#	c #0E0E26",
  "$	c #0E0E2E",
  "%	c #0E0E33",
  "&	c #0D0E3B",
  "*	c #11160C",
  "=	c #0E1910",
  "-	c #250E0D",
  ";	c #0D0E52",
  ">	c #0B0E5F",
  ",	c #0D0D66",
  "'	c #0D1F0E",
  ")	c #0F0C74",
  "!	c #090E93",
  "~	c #050DAD",
  "{	c #0C0D9E",
  "]	c #0012A5",
  "^	c #10270B",
  "/	c #000DCA",
  "(	c #0B2D0E",
  "_	c #500D0D",
  ":	c #3B180E",
  "<	c #0E08E4",
  "[	c #000DFF",
  "}	c #000FF8",
  "|	c #0A0EF0",
  "1	c #2304FA",
  "2	c #6A0F0E",
  "3	c #0D450F",
  "4	c #75140D",
  "5	c #0B4D0D",
  "6	c #074B49",
  "7	c #073F95",
  "8	c #284B0F",
  "9	c #0E590D",
  "0	c #113FAE",
  "a	c #B90C0B",
  "b	c #48460B",
  "c	c #096809",
  "d	c #017F0E",
  "e	c #F70809",
  "f	c #08900A",
  "g	c #A44508",
  "h	c #D92F09",
  "i	c #108F7C",
  "j	c #17A305",
  "k	c #00B104",
  "l	c #00B03E",
  "m	c #00C103",
  "n	c #02A3A6",
  "o	c #18AF7F",
  "p	c #A47F09",
  "q	c #58AA09",
  "r	c #0BD407",
  "s	c #00D54F",
  "t	c #00E40A",
  "u	c #00F00D",
  "v	c #10F500",
  "w	c #00FF11",
  "x	c #0BE6E3",
  "y	c #00FFFF",
  "                                                                                                                                                        ",
  "........................................................................................................................*=..............................",
  "                                                                           3f                                         ^jv9                              ",
  ".......................................................................... uw(......................................3rvwwc..............................",
  "                                                                          jwwt                                    crvwwww9                              ",
  "                                                                        .(wvwwd                                .'rwwwwwvwc                            ..",
  ".......................................................................  twwvwv'.............................. . *kwwwwwv9...........................   ",
  "                                                                        cwwwwwwr                                ...3uwwww9                            ..",
  ".......................................................................'wwwwwwvw9..............................  @. uuwww9...........................   ",
  "                                                                       kvvvwwvvut                               .. ur=3uwc                            ..",
  "                                                                     ......uj. .                            . .  .kv=.. k5                         ..   ",
  ".....................................................................      uk . ............................ . . 5w9   .. .........................   ..",
  "                                                                    @...@@.uk .                              . ..ur..   .                          ..   ",
  ".....................................................................    . uk.  .............................   kv=  . . ..........................   ..",
  "                                                                      ..*..uk .                              ..3w9   .                             ..   ",
  "                                                                    ..  .  uk.                            . . *vr ...  .                         ..   ..",
  "...................................................................   . ...uk............................ . ..kv=   .. .........................   ..   ",
  "                                                                   ... .   uj                              . 3w9 ..   .                          ..   ..",
  "..................................................................   .  ...vk.............................  =ur.  . . ..........................   ..   ",
  "                                                                    .  .   uk                              .kw=    .                             ..   ..",
  "                                                                 ..  .   ..uk.                         . . 3w9....  .                         ..   ..   ",
  "......................................................@![[[[[[[[[}}1[}[[[}}to}[[[[[[[[[[[[[[[[[[[[[[[[[}[}}}}1}}}}[[}[[[[[1<..................   ..   ..",
  "                                                     .%[/!!!!!!!!!!!!!!!!{!ul!!!!!!!!!!!!!!!!!!!!!!!!!!!!!77!!!!!!!!!!!!!~1|                  ..   ..   ",
  "..................................................... ||%         .     .*.uk                           .^j(             /[}..................   ..   ..",
  "                                                    .~}~&........ ..... . .uk.......................... .f9.............>[<|                  ..   ..   ",
  "                                                   .%[,]%               . .uj                          .9f=            +}~{}                ..   ..   ..",
  ".................................................. +|<@{%.......... ... . .vk....................... . ^j^....  ......./1.{1...............   ..   ..   ",
  "                                                  .]}+ {&          .     . uj                       .  d9.    ..      ;[& {}                ..   ..   ..",
  "................................................. &[,  {%@     .    ...  ..vk.                      ..5f*.           +[~. {1...............   ..   ..   ",
  "                                                 .}/.. {%...... ....    . .vj ...................... ^j^.*.........../}+ .{}                ..   ..   ..",
  "                                                 ~[+ . ]%            .. . .uk                       *f9 .           ,1&.  {}             ..   ..   ..   ",
  "................................................&1, @  {%........ ...  .   uk..................... +5f  . ..  .... #1~.*..{|.............   ..   ..   ..",
  "                                               .}/.... ]%       .   .   .. uk                    . ^j^+ .  ..    . /|+.   ]}             ..   ..   ..   ",
  "...............................................~}#    @{%    .    .. ...  .uk                     .f9.   .        >[&  . .{|@............   ..   ..   ..",
  "                                              &1>.  .. ]&... ....      .  .uj.................... 9f  .  .......@#|~@.*. @]|             ..   ..   ..   ",
  "                                             +|/. ..   {%          .. . .. uk                    ^f^ . ..        /}.. . ..{}.          ..   ..   ..   ..",
  "............................................ ][#     . {%.... ....  .    ..uk................... f9 .   .  ... .>}& . .   ]|..........   ..   ..   ..   ",
  "                                            &1,  .... @{&    .    .   ...  uj                  *5f=. ..  ..   .+[~.. .   .{}           ..   ..   ..   ..",
  "..........................................@+}/..    .  {% .    .. ..     ..vk.               ..^j^.   .        /1.   ...  {1..........   ..   ..   ..   ",
  "                                           ~}#    .. . !&. ....     ..  . .vj ............... =d9. . . .......,[&  .    ..{|           ..   ..   ..   ..",
  "                                         .&1;  ..    ..{%       ..   ..   .uk                .5f*. . .       +[~.. . ..   ]}        ..   ..   ..   ..   ",
  "..........................................}/...    ..  {%... ...  ...  .. 4ph:...............^j( .  . .  ...@/|.  . .   ..]|........   ..   ..   ..   ..",
  "                                         ![+  ....  .  {%  .   .    .   ..2aa:.              f5 .     ..   .;}&..*.   .   ]}        ..   ..   ..   ..   ",
  "........................................$}>..@    .  . {%    .. ...   ..  ....             .9f* . ...     . }~.  . ...  ..{|@.......   ..   ..   ..   ..",
  "                                        </  .  .. .  . ]%...      ..   .   @ ..............^f^+ .   ..... .~|.*. .   ..  @]|        ..   ..   ..   ..   ",
  "                                       {1#.. ..    .. .{&     ..    ..  ...               *f9.  . ..     *;[& . .  ..    .{}.     ..   ..   ..   ..   ..",
  "......................................$}>       ..  .  {%....  ...   ..   ............... 9f*.  .  .  ...+}~.*.  .   ...  ]|.....   ..   ..   ..   ..   ",
  "                                      </   .....  .  .@{%    .     ..  ..               -^d^ . . .  ..   ~|. .. .   .    .{}      ..   ..   ..   ..   ..",
  ".....................................!1+..     .  .  . ]%..  .... . .   ...           . :4_+ .   .    ..;}&   . ...  ...  {1.....   ..   ..   ..   ..   ",
  "                                    $[>.  .  .. .  .   {%  ..    .   .     ........... +_-_ .  .. .... +}~ ..  .   ..   ..{|      ..   ..   ..   ..   ..",
  "                                   .</ .. ..    .. . . ]%.  .  .  .  ...             . ..   . .        ~}.  ..  ..    .   ]}   ..   ..   ..   ..   ..   ",
  "...................................!1+.       ..  . . .{% .  .. .. ..   .............     .. .  ..  . ;[%..    .   ...  ..]|...   ..   ..   ..   ..   ..",
  "                                  $};   .....  .  . .  ]% .         ..               ....  .  .  .. ..1]  .. .   .    .   ]}   ..   ..   ..   ..   ..   ",
  "..................................|/....     .  .  .  .{%. .... ...   ...           .    .   .  .  .*/|+    . ...  ...  ..{|@..   ..   ..   ..   ..   ..",
  "                                 !}+   .  .. .  .   .  ]%.    .   .     ........... . .. ... .. .. .;}%...  .   ..   ..  @]|   ..   ..   ..   ..   ..   ",
  "                                $}>.... ..    .. . . @.{% .  .  .. ...             . .      .      .}].   ..  ..    .    .{}...   ..   ..   ..   ..   ..",
  "................................|/*        ..  . . ..  ]% .. ..      .............     ...  .. . . /| ..    .   ...  ...  ]|   ..   ..   ..   ..   ..   ",
  "                               {}+..  .....  .  . .   .{%       . ..               ....    .  . . ;}%.  .. .   .    .    .{} ..   ..   ..   ..   ..   ..",
  "............................. %},  ..     .  .  .   .  ]&... .. .  ...           .    . ..  .    +}~ .   . ...  ...  ...  {1   ..   ..   ..   ..   ..   ",
  "                             .|/ ..  .  .. .  .   ..  .{%   .    .    ........... . .. .  .. ... /}.. ..  .   ..   ..   ..{| ..   ..   ..   ..   ..   ..",
  "                             !}+  .. ..    .. . .  ..  {% .  ..  ..             . .     .      .;}%    ..  ..    .    .   ]1   ..   ..   ..   ..   ..   ",
  "............................$[/)))),)))))))),)))))),)))/]),)),)))),))))))))))))),))))))),)))))),}{. ..    .   ...  ...  ..]| ..   ..   ..   ..   ..   ..",
  "                           .}[}}}}[[}}}}}}}[}}}}}[[}}[[[[[}}[}}}}[}}}}}[[}}}}}}[}}}}}}}[}}}}}}[1}..* .. .   .    .    .   ]1   ..   ..   ..   ..   ..   ",
  "........................... |]..... .*. ............. .]%..............  ........ . ...... ....)[  ..  . ...  ...  ...  ..{| ..   ..   ..   ..   ..   ..",
  "        (r                 @}]  * .*. .    *  *     .  ]%   *.* *.*.  ..        . .*. *  .*. * )[.  .  .   ..   ..   ..  .]1   ..   ..   ..  ^u(   ..   ",
  "       fwv                ..|{ ... .. . ........      .{%.... + . .  .   ..... .*. . .... .  ..)} .. ..  ..    .    .   . {| ..   ..   ..   .^vwj*.   ..",
  ".....(uwwv...............   }]   .  .          .... .  ]%     . . .. ..     *. . . .      ..   )}      .   ...  ...  .. ..]1   ..   ..   .. .^wwwv3..   ",
  "    jwwwwu               . .|{ .   .  .. -@-...    .  .{%  ..  .       ..  .. . . .  ... .  .. )[. .. .   .@:-_.    .     {| ..   ..   ..    ^wwwwwm' ..",
  "..3twwvwwwrrrrrrrrrrrrrrrrrr|0cccccccccc984@  .... ..  ]&.  .. . ... .  ..  . .   .     . .  .*)}.  . ...  .-eqrrrrrrrrrrrmsrrrrrrrrrrrrrrrrrtvwwwwwvc  ",
  "  3uwwwwwwrrrrrrrrrrrrrrtrrr|0c9c9c9cc9cc84@      .   .{%  .  . .   . .    . . . . ... . .  . .)[ .  .   .. -hqrrrrrrrrrrtssrrrrrrrrrrrrrrrrrtwwwwwww9..",
  "...@jwwwwv...............   1~.........@ ---.      ..  {%. .  .   .   ...  .   . .   . . .  . .)} ..  ..  .._-_...  ..... {|  ..   ..   .....^wvwwvm'   ",
  "   ..^uwwu               ...|{.* . . .*... . .... .   @{&   .   .. ..   . . . . .  .  . .  .  *)[.   .      ...   ..      {}..   ..   ..     ^wwwv3@. ..",
  "..   . fww@          ...   .}{.. .*. .   . .    .  ..  {%.  ..      . . .   .   .  .    .  . . )}. .   ....     .   . ... {|  ..   ..   . ...(wwj*. .   ",
  "  ..@ @.(r...........    .. |]  . . .  .. .  ... ..  . {% .. . ... . .    .  . .  . ... . .. . )[ . ...    .. ..  .. .   .{}..   ..   .. .  .^u(..    ..",
  "   ...  .              .  . }]. .   ..    .    .   . . ]%  . .   . .  ..  .. . .. .   . .    . )[ .   ...   .   .      .  ]|  ..   ..       ..@   ...   ",
  ".      @  .............    .|{   . .  . .. ..    .. .  {]{{!{{{{{{{!{{{{{{!{!{{!{{!{{{!{{{{{{{{/}{!{{{!{!!{!{{{{{{{{{{{!{{<}..   ..   .....    ...    ..",
  "..   ....             ...   }].. . .  .     .. .    ..$];$%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%&][%%%%%%%&%%%%%%%%%%%%%&%%>1{  ..   ..     ....   . ..   ",
  "  ...              ...   ...|]  . . ..  ...   .  ..  +!; ... .  . ...  . ....... ... .. . .. . )}..............  .....  .|| ..   ..   . ..      . .   ..",
  ".   .  ...........    ..    }]  .    .    ... ..  .  >!+   . .. .   .. .    *.  . *.  . .  .   )[             ..      .@!}&   ..   .. .  . . ..    ..   ",
  " ... ..              .  . ..|{..  .. . ...   .   . .${#  .  .    ..   . .. ..  .  . .  . .  .. )1  . .. . ..     . ... $}]  ..   ..       . .   ...   ..",
  "       .............    .   }{  .    .   .    .. . .!>.. .. . ..  . . .     . .. .  .  . .   . )[. .  . .  ..... .    .||..   ..   .....    ...    ..   ",
  "   ....             ...   ..|] . .. . .   .. .    .>!.               .  . ..    . ..  .    ..*.)[ .    .            ..!}%   ..   ..     ....   . ..   ..",
  "..              ...   ...   }] .    . ..   .  ..  ${$  .. .... ....  . . . . .  .  . . ...  .  )} ...  .....  .....  %[] ..   ..   . ..      . .   ..   ",
  "  .  ...........    ..    ..|].  . . .  ... ..  ..!> ..  .    .   . ..  .   .  .  . . .   .. . )[.   ..     ..      .||..   ..   .. .  . . ..    ..   ..",
  ". ..              .  . ..   }{ .. .  .    .   . .>!.  .  . .. . . .   .  .  . . . .   ..   . .*)} ..   ..     . ... !}%  ..   ..       . .   ...   ..   ",
  "     .............    .   ..|{.  . .  ..    ..  %]#. . .. .  . .    .. .. .. . .   . .   ..   .)}.   ..  ..... .   %[!...   ..   .....    ...    ..   ..",
  "....             ...   ..   }{.    .   .. .  ..+!; .       .   . ..          . . . .  ..   ..  )[ ..             ..<|.   ..   ..     ....   . ..   ..   ",
  "              ...   ...   ..|{  ... ...  .  . *>!+.  .. ...  .. .   . ..... .  .  .  .  . .   .)}.   .....  .....*![%  ..   ..   . ..      . .   ..   ..",
  "  ...........    ..    ..   }].       .. .. ..${# ..  .    . a_a@.. .     . .  .  .   . . ..   )[ ..     ..     .$}{..   ..   .. .  . . ..    ..   ..   ",
  "..              .  . ..   ..|] .. ..    .    +!;.   .  . ..  _hh@  . .. .  .  .. .. ..   . . ..)}.   ..     . ...||    ..   ..       . .   ...   ..   ..",
  "  .............    .   ..   }]  .  ..    ... >!. .  .. .   .'tm-@. .    .  .       .  ..   .   )[ ..  ..... .   !}%...   ..   .....    ...    ..   ..   ",
  "..             ...   ..   ..|{.  ..  .. .   %]# . ..     . .rw @  .  . . . . .. ...  .  . .*..*)}.            .$}].    ..   ..     ....   . ..   ..   ..",
  "           ...   ...   ..   }{..  .   .  . .!>.    . ... . cv9..   . . . . .  .   .  .  . .  . )} .....  .... .||.. ..   ..   . ..      . .   ..   ..   ",
  "...........    ..    ..   ..|{     ... .. .,!.  ..  .    .'wm.  . .   .   .  . . .  . .  . ..*.)[.     ..     ]}$  .   ..   .. .  . . ..    ..   ..   ..",
  "             .  . ..   ..   }] ..    .    %{# .  .  . .  .rw=.. . ..  . . -.@@ . ..   .  . ..  )} ..     . ..%[!    ..   ..       . .   ...   ..   ..   ",
  ".............    .   ..   ..|].  ...   ..+!> . .  .. . ..cw5   .   . . .  -24@.     ..  .     .)[.  ..... .  ||+....   ..   .....    ...    ..   ..   ..",
  "            ...   ..   ..   }{..   . .   ,! .  ..    .  'vm    . . . . . .:9b-.... . .. . ...  )[          .!}$     ..   ..     ....   . ..   ..   ..   ",
  "         ...   ...   ..   ..|{  .   .  .%]#. .   .. . ..rw=...  .   .  . ..c5.    .    . .   .*)}....  ....$[! .. ..   ..   . ..      . .   ..   ..   ..",
  "........    ..    ..   ..   }]  ... .. +!; .  .     .  cw9   .. . . . .  . d5.. .  ..  .  .  . )}   ..    .||.  .   ..   .. .  . . ..    ..   ..   ..   ",
  "           .  . ..   ..   ..|{.       .>!+ . . . . .  =wm....    .   .  .  d5  .  .   .  . .. .)[.     . .!}$.    ..   ..       . .   ...   ..   ..   ..",
  "..........    .   ..   ..   }{.... .. %{#  . . . .  . rw=   ...  . . . ....d5  .. .. ..     .  )}..... . %[! ....   ..   .....    ...    ..   ..   ..   ",
  "          ...   ..   ..   ..|]       +{;  . .   . ...cw5..      . . . .    d5..  .     ... . *.)[       .||       ..   ..     ....   . ..   ..   ..   ..",
  "      ...   ...   ..   ..   }]  ...  ,!+  . . . .   'um  .. ... . .     .. d5 .   ...    . ..  )[.  ...*]}%... ..   6. 6 . ..      . .   ..   ..   ..   ",
  "......    ..    ..   ..   ..|{..   .%{#  . . .    ..rw*    .     . . ...  .d5   ..   .. .    . )[ ..   %}{.   .   ..y  y. n  . . ..    ..   ..   ..   ..",
  "        .  . ..   ..   ..   }{ ..  +!;..   . . ..  cw5....  .. . .  .     .d5..  ..   . .... .*)}   ..+|< .    ..  .nnnn  y  . .   ...   ..   ..   ..   ",
  "........    .   ..   ..   ..|].   .,!.   .  . .   'wm.     .  .    . ....@ d5   .   ..        .)[...  ]}$. ....   .  yy nyyyn   ...    ..   ..   ..   ..",
  "       ...   ..   ..   ..   }{ .. %{# .. .  . ... rw=.. ..  . . ..      . @d5..  ..  . ..  ..  )}  . %[!       .. ..@nn . y ...   . ..   ..   ..   ..   ",
  "    ...   ...   ..   ..   ..|{.  +!;.   . .    *.cw3   .  .. . .  ..  .. . d5   .  . .   ..  . )[ . .}<..... ..      nn@ .n@     . .   ..   ..   ..   ..",
  "...    ..    ..   ..   ..   }{ . ,!. .  . .. .. 'wm..*. .    . .   ..    ..d5..  . . ..   .. .*)[   {[#    .   ..      .  . . ..    .. nyyyn  ..   ..   ",
  "      .  . ..   ..   ..   ..|{. %]#. . . .  .  .tu=  . .  . . .  ..    ..  d5   . .    ...    .)[ .%}!...    ..  ...@53 .. . .   ...   666yx .n  ..   ..",
  ".....    .   ..   ..   ..   }].+{;  . .  .  .  cw9..    . . . . .  ...  .. d5..   . .      ..  )[ +|<   ....   .   .3ww5     ...    ..@@.xx.  y.   ..   ",
  "     ...   ..   ..   ..   ..|]*,)..  . .   . .=um.   ...   .   .  .   .   .d5  ..  . ..  ..   .)[ {[$.       .. ...5wwww3....   . ..   .xx@ nyyyn..   ..",
  " ...   ...   ..   ..   ..   }]%~#.  .  ...   *tu*...   ..   .   . ... .   .d5.  .. .  ..  ...  )[%[! .... ..      .jjttjj     . .   .. xy666@ y    ..   ",
  ".    ..    ..   ..   ..   ..}~{; . .  .    ..cw5.   . .  ...  ..       ... d5  .  . .    .     )[}<.     .   ..    ..jj . . ..    ..   nyyyn..n@ ..   ..",
  "   .  . ..   ..   ..   ..   1<!  . .  . .. .'wm. .  . .    ..  ..   ..   @@d5. .    ...   ....*)1}#...    ..  ...   .jj . .   ...5jjjj....    ..   ..   ",
  "...    .   ..   ..   ..     }|<<<<<<<<<</<<<tu<<<<<|/<<<<<</<<</<<<|/<<<<<</</<<<<<<</<<<<</<<<|[!.   ....   .   ....jj.   ...   .twwwj   @      ..   ..",
  "  ...   ..   ..   ..   .... !////~///~/////iwi//~//////////////////////////00////~//////////////!..       .. ...    .jj...   . . ..twwj. .... ..   ..   ",
  "..   ...   ..   ..   ..    .   * .*  . .  ^vm   .                        ==uk.*  .                 .... ..      . ...jj     . .   5wtwj .    .   ..   ..",
  "  ..    ..   ..   ..   ... . .......*.*. .tu= . . .     @. ... .  .    ...+uk+ . . . .*.         .    .   ..    .    jj. ..    ..3w3.tj  ...  ..   ..   ",
  " .  . ..   ..   ..   ..     .       . .. cw5 . . . ...... .   . .. ....  .*uk . . . . . .........*..    ..  ...   . +jj..   ... 5w3@ .3..   ..   ..   ..",
  "    .   ..   ..   ..     .. . . ... .  .^vk. .          .  ..         ..*..uk .   .*.           .  ....   .   ... . .jj ...   .3w3..          ..   ..   ",
  "...   ..   ..   ..   ....  .  .    . . .rw= .  .... . .   .  ......     ...uk.*... . ....... ... .      .. ...   . . jj.   . .5w3   ....... ..   ..   ..",
  "  ...   ..   ..   ..    .. .  . .  .   cw5.  .    . . ...         .....   .uk.   . .       .   . ... ..      . . .  .jj .. . 3w3          .   ..   ..   ",
  "..    ..   ..   ..   ...     . .  .  .'wk.  . . .        ... .  .      . . uk ... .  .        .     .   ..    . .   +jj.    3w3 .....  ...  ..   ..   ..",
  " . ..   ..   ..   ..     .. .  . .. . rw=.. . . ..... ..   . .. ....   . ..uk     .. ........  ..    ..  ...    . .  jj. ..5w3@     ..   ..   ..   ..   ",
  "  .   ..   ..   ..     ..  . . .  *. cw3   .             ..         ..     tk.  .             .  ....   .   ... . . +jj . 3w3@  ..          ..   ..   ..",
  "   ..   ..   ..   ....  ..   . =r^. 'wm..   .... . ... .  ......     ..... uk.. . ....... ... .      .. ...   . .  . jj. 5w3 ..  ....... ..   ..   ..   ",
  "...   ..   ..   ..    ..  . . .*wwd rw=  ...    . .   .         .....     .uk  . .       .   . ... ..      . .   .  +jj 3w3             .   ..   ..   ..",
  "   ..   ..   ..   ..    . . . .=wwwuw3     . .    ..  ... .  .      . *rwvuwwvvvu=.        .     .   ..    . .. .    jj3w3@.......  ... j3.  n..n  ..   ",
  " ..   ..   ..   ..  .. . .   . *vwwwvd... . . ....  ..   . .. ....   ..3wwwvwwwwj  ........  ..    ..  ...     . . .+bgw3         ..   .jw3 @xnnx .n  ..",
  "   ..   ..   ..      .   . . . *wwwwwwt^.             ..         ..   ..kwwwwwwu.          .  ....   .   ... . . 3jjbeegjjjjjjjjjjjjjjjjtww3  xx.  y.   ",
  " ..   ..   ..   ....  ..  .   .=wwwwwwwv' .... . ... .  ......     ... . uwwwww( ...... ... .      .. ...   . .  3jjgeebjjjjjjjjjjjjjjjjtww5  xx nyyyn..",
  "   ..   ..   ..    ..  .  .. ..*wwwwvuf*.    . .   .         .....   . ..3wwwwf       .   . ... ..      . .   . .  3wgb++..+.+.. + +. +.jw3..xnnx  y    ",
  " ..   ..   ..   ..   . . .  .  *wwwt5*.. . .    ..  ... .  .       ..    @kwwt*..        .     .   ..    .  ..  + 3w3jj  .    . .   .  .j3@  n  n..n@ ..",
  "   ..   ..   ..  ..  .  . .  ..*wk8..  . . ...   ..   . .. .... ..   ..... uw(  ........  ..    ..  ...  ..   . . 33.jj. . .  . . . .  ..... @@    ..   ",
  " ..   ..   ..      .   . . ..  .3..  ..       ..    ..         .    .     .3f .          .  ....   .   ..  ..  .*.  +53   .  .  .  . ..     . . .     ..",
  "   ..   ..   ....  ..    .  .. .. .   ..... .  .. .  ......     ... .  .. .@. ...... ... .      .. ...   .   . . .  . ..  .  . .   .  .     . . .. ..   ",
  " ..   ..   ..    ..  .. . .   .  . ..      . .   .         .....   . ..  . .        .   . ... ..      . .  .. .*. ..     .. . . . . .  ....       .   .."
};

#endif
